<?php

require_once "../app/model/db.class.php";

class Info extends database {
    function proceso(){

        $this->conectar();
        $data='';
        $query = $this->consulta("select * from registrar ;");

        if($this->numero_de_filas($query) > 0) // existe -> datos correctos
        {
                //se llenan los datos en un array
                while ( $tsArray = $this->fetch_assoc($query) )
                        {$data[] = $tsArray;}

           
        }else{
            $data[]='';
        }

        $query = $this->consulta("select * from parametros ;");

        
        if($this->numero_de_filas($query) > 0) // existe -> datos correctos
        {
                //se llenan los datos en un array
                while ( $tsArray = $this->fetch_assoc($query) )
                        $data[] = $tsArray;

                
        }

        if(count($data)==0)
         {
            return '';
        }else {
            return $data;
        }
        

        $this->disconnect();

    }
    
}

?>